/* 
 * 即时聊天通信
 * @author boxiZen
 * @since 2015/06/09
 * 
 */

$(function() {
	// serverUrl为websocket服务器地址与端口
	var serverUrl = "ws://42.96.148.52:9000/ws";
	var socketCreated = false;
	var ws;
	if (window.WebSocket) {
		// 连接初始化
		ConnectionInit();
		// 发送信息
		$('.send-btn').click(function(){
			var msg = "连接服务器的信息";
			WSonSend(msg);
		});
	} else {
		// 如果浏览器不支持WebSocket，则使用传统的轮询方式即时通信
	}

	function ConnectionInit() {
		if (socketCreated && (ws.readyState == 0 || ws.readyState == 1)) {
			ws.close();
		} else {
			console.log("准备连接到websocket服务器");
			try {
				ws = new WebSocket(serverUrl);
				socketCreated = true;
			} catch (ex) {
				console.log(ex);
				return;
			}
			ws.onopen = WSonOpen;
			ws.onmessage = WSonMessage;
			ws.onclose = WSonClose;
			ws.onerror = WSonError;
		}
	};

	// 连接成功的回调操作
	function WSonOpen() {
		console.log("成功连接");
	};

	// 收到信息的回调操作
	function WSonMessage(event) {
		// event为从服务器获得的json或xml数据
		var msg = event.data;
	};

	// 连接关闭的回调操作，如果因为网络问题与服务器连接断开，可在此处执行断线重连的操作
	function WSonClose() {
		console.log("连接关闭");
	};

	// 连接出错的回调操作
	function WSonError() {
		console.log("连接错误")
	};
	
	// 发送信息接口
	function WSonSend(msg){
		try{
			ws.send(msg);
		}
		catch(e){
			console.log(e);
		}
	}

});