/**
 * Created by LIONS on 2015/2/23.
 */
if (window.jQuery) {
    // 创建一个闭包
    (function ($) {
        $.fn.lcenter = function (options) {
            //默认参数
            var defaults = {};
            //参数
            var opts = $.extend({}, defaults, options);
            return this.each(function () {
                var screenWidth = $(window).width(), screenHeight = $(window).height();  //当前浏览器窗口的宽高
                var scrolltop = $(document).scrollTop();//获取当前窗口距离页面顶部高度
                var objLeft = (screenWidth - $(this).width()) / 2;
                var objTop = (screenHeight - $(this).height()) / 2 + scrolltop;
                $(this).css({left: objLeft + 'px', top: objTop + 'px'});
                //浏览器窗口大小改变时
                $(window).resize(function () {
                    screenWidth = $(window).width();
                    screenHeight = $(window).height();
                    scrolltop = $(document).scrollTop();
                    objLeft = (screenWidth - $(this).width()) / 2;
                    objTop = (screenHeight - $(this).height()) / 2 + scrolltop;
                    $(this).css({left: objLeft + 'px', top: objTop + 'px'});
                });
                //浏览器有滚动条时
                $(window).scroll(function () {
                    screenWidth = $(window).width();
                    screenHeight = $(window).height();
                    scrolltop = $(document).scrollTop();
                    objLeft = (screenWidth - $(this).width()) / 2;
                    objTop = (screenHeight - $(this).height()) / 2 + scrolltop;
                    $(this).css({left: objLeft + 'px', top: objTop + 'px'});
                });
            });
        };

        //是否隐藏
        $.fn.lisHide = function (options) {
            var defaults = {};
            var opts = $.extend({}, defaults, options);
            return $(this).eq(0).is(":hidden");
        };

        //是否显示
        $.fn.lisShow = function (options) {
            var defaults = {};
            var opts = $.extend({}, defaults, options);
            return $(this).is(":visible");

        };

        //超过最大高度，显示竖向滚动条，options的minHeight为0时，为实际的高度
        $.fn.ltextareaAutoHeight = function (options) {
            //默认参数
            var defaults = {
                minHeight: 0,
                maxHeight: 1000
            };
            //参数
            var opts = $.extend({}, defaults, options);
            var resetHeight = function () {
                var _minHeight = parseFloat($(this).attr("minHeight"));
                var _maxHeight = parseFloat($(this).attr("maxHeight"));
                if (!$.browser.msie) {
                    $(this).height(0);
                }
                var h = parseFloat(this.scrollHeight);
                h = h < _minHeight ? _minHeight :
                        h > _maxHeight ? _maxHeight : h;
                // $("#value").html(h);
                $(this).height(h).scrollTop(h);
                if (h >= _maxHeight) {
                    $(this).css("overflow-y", "scroll");
                }
                else {
                    $(this).css("overflow-y", "hidden");
                }
            };
            return this.each(function () {
                if (opts.minHeight == 0) {
                    opts.minHeight = parseFloat($(this).height());
                }
                for (var p in opts) {
                    if ($(this).attr(p) == null) {
                        $(this).attr(p, opts[p]);
                    }
                }
                $(this).keyup(resetHeight).change(resetHeight);
            });

        };

        $.fn.MM2 = function (options) {
            //默认参数
            var defaults = {};
            //参数
            var opts = $.extend({}, defaults, options);
            return this.each(function () {
                //需要做的事情，实时在在的
                alert("MM2");
            });
        };

        //闭包结束
    })(jQuery);
}
else {
    console.error("not define jQuery");
}

